body{
    background-color: aliceblue;
    font-family: system-ui;
}
.container{
    width: 100px;
    margin: auto;
    transition: 0.5s;
}
header{
    display: grid;
    grid-template-columns: 1fr 50px;
    margin-top: 50PX;
}
header .shopping{
    position: relative;
    text-align: right;

}
header .shopping img{
    width: 40px;

}
header .shopping span{
    background-color: red;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #e2ad1b;
    position: absolute;
    top: -5px;
    left: 80%;
    padding: 3px 10px;
}
.list{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    column-gap: 20px;
    margin-top: 50px;

}
.card{
    position: fixed;
    top: 0;
    left: 100%;
    width: 500px;
    background-color: #453E3B;
    height: 100vh;
    transition: 0.5s;

}
.card h1{
    color: #e8bc0e;
    font-weight: 100;
    margin: 0;
    padding: 0 20px;
    height: 80px;
    display: flex;
    align-items: center;

}
.card .checkout{
    position: absolute;
    bottom: 0;
    width: 100%;
    display: grid;
    grid-template-columns: repeat(2,1fr);

}
.card .checkout div{
    background-color: #e8bc0e;
    width: 100%;
    height: 70px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: bold;
    cursor: pointer;

}
.card .checkout div:nth-child(2){
    background-color: #1C1F25;
    color: #fff;

}
.active .card{
    left: calc(100% - 500px);

}
.active .container{
    transform: translateX(-200px);
}
